{IF Folder.type == "Folder.TRASH"}
	{IF User.Access.Write == 1}
		{SET bTrash = 1}
	{ENDIF}
{ELSEIF Folder.type == "Folder.SENTITEMS"}
	{SET sentValue="SENTITEM=1"}
	
	{IF User.Access.Write == 1}
		{SET bSentItems = 1}
	{ENDIF}
{ELSEIF Folder.type == "Folder.OUTBOX"}
	{IF User.Access.Write == 1}
		{SET bOutbox = 1}
	{ENDIF}
{ELSE}
	{IF Folder.type != "Folder.SHAREDREF" || (Folder.type == "Folder.SHAREDREF" && DEF Folder.Rights.delete)}
		{IF User.Access.Write == 1}
			{SET bDelItem = 1}
			{SET bMoveItem = 1}
		{ENDIF}
	{ENDIF}

	{IF Folder.type != "Folder.UNOPENED"}
		{IF GWAP.version >= "6.0"}
			{SET bReadLater = 1}
		{ENDIF}
	{ENDIF}

	{IF GWAP.version >= "6.7"}
		{SET bMarkRead = 1}
	{ENDIF}


	{IF User.Access.Write.Appointment == 1 || User.Access.Write.Note == 1 || User.Access.Write.Todo == 1}
		{SET bAccept = 1}
		{IF User.Access.Write.Todo == 1}
			{SET bComplete = 1}
		{ENDIF}
	{ENDIF}

	{IF Folder.type == "Folder.CHECKLIST"}
		{IF GWAP.version >= "6.5" && User.Access.Write == 1}
			{SET bCheckListFolder = 1}
		{ENDIF}
	{ENDIF}
{ENDIF}

{IFDEF Item.count}
	{IF Find.UpdateList == "1"}
		{SETGLOBAL Global.FindMessageList.count = Item.count}
	{ELSE}
		{SETGLOBAL Global.MessageList.count = Item.count}
	{ENDIF}    
{ELSE}
	{SET Item.count = 0}
{ENDIF}

{!----------------------------------------------------------------------------
! column heading: To, From, or Name
-----------------------------------------------------------------------------}
{IF (Folder.hasOutbound == 1 && Folder.hasInbound != 1) || Folder.type == "Folder.SENTITEMS" || Folder.type == "Folder.OUTBOX"}
	{SET nameHdr = {STRING ItemList.Heading.to}}
{ELSEIF (Folder.hasOutbound != 1 && Folder.hasInbound == 1) || Folder.type == "Folder.UNOPENED" || Folder.type == "Folder.UNIVERSAL"}
	{SET nameHdr = {STRING ItemList.Heading.from}}
{ELSE}
	{SET nameHdr = {STRING ItemList.Heading.name}}
{ENDIF}

{INCLUDE error.inc}

{!------------------------------------------------------------------------
	Check to see if moving a message to a 
	folder. If so show folder list.
-------------------------------------------------------------------------}
{IF DEF Folder.List || ( action = "Folder.Expand" && NOTDEF Folder.Expand.id }
	<P><BR>
	<FORM method="POST" action="{VAR noScript(Home.url)}">
		<INPUT type="hidden" name="User.context" value="{VAR noScript(User.context)}">
		<INPUT type=submit class="button" name="cancel" title="{STRING Button.Image.AltText.btnCancel}" value="{STRING Button.Text.cancel}">
		
		{IF Find.UpdateList == "1"}
			<INPUT type="hidden" name="action" value="Item.Action">
		{ELSE}
			<INPUT type="hidden" name="action" value="Folder.Open">
		{ENDIF}
		
		{!IF DEF Folder.List.css}
			<INPUT type="hidden" name="Folder.List.css" value="">
		{!ENDIF}
		
		<INPUT type="hidden" name="merge" value="{VAR merge}">    
		
		{IF Find.UpdateList == "1"}
			<INPUT type="hidden" name="Find.UpdateList" value="1">
		{ENDIF}
	</FORM>
	
	{SET Url.Included.by = merge}
	{INCLUDE fldrmove.inc}
</body>
</HTML>
{ABORT}
{ENDIF}
    
<!-- Message list starts here -->
<FORM method=POST name="MessageList" action="{VAR noScript(Home.url)}">
	<INPUT type="hidden" name="User.context" value="{VAR noScript(User.context)}">
	<INPUT type="hidden" name="action"  value="Item.Action">
	<INPUT type="hidden" name="Folder.List.css" value="">
	<INPUT type="hidden" name="Folder.id" value={VAR noScript(Folder.id)}>
	<INPUT type="hidden" name="Folder.name" value="{VAR Folder.name}">
	<INPUT type="hidden" name="Toolbar.button" value="">
	<input type="hidden" name="Undefined" value="">
	<INPUT type="hidden" name="merge" value="{VAR merge}">
	
	{IF Find.UpdateList == "1"}
		<INPUT type="hidden" name="Find.UpdateList" value="1">
	{ELSE}
		<INPUT type="hidden" name="Item.UpdateList" value="1">
	{ENDIF}


<div id="page-header">
{IF Find.UpdateList == "1"}
{IF Find.bSearching == "1"}
	<h2>&nbsp;{STRING ItemList.Find.searching}</h2>

	&nbsp;&nbsp;<a href="{VAR noScript(Home.url)}?action=Find.Action&amp;User.context={VAR noScript(User.context)}&amp;Find.UpdateList=1&amp;Folder.id={VAR Folder.id}&Folder.List.css=&Find.Update=1&amp;merge={VAR merge}" style="color:{STRING Style.Color[Global.Color.scheme].Action.link}">{STRING ItemList.Find.updateResults}</a>&nbsp;|&nbsp;
	<a href="{VAR noScript(Home.url)}?action=Find.Action&amp;User.context={VAR noScript(User.context)}&amp;Find.UpdateList=1&amp;Find.StopSearch=1&amp;Folder.List.css=&Folder.id={VAR Folder.id}&merge={VAR merge}" style="color:{STRING Style.Color[Global.Color.scheme].Action.link}">{STRING ItemList.Find.stopSearch}</a> 
	<span id="nomsgitemrefresh">&nbsp;</span>
	<br><br>
	
	&nbsp;&nbsp;{STRING Style.Font[Global.Font.scheme].textLabel}{STRING Folder.Name.findResults} - {VAR noScript(nobr)}{STRING ItemList.Found.findSearching Find.resultsFirstDispItem Find.resultsLastDispItem Find.resultsTotal}{VAR noScript(endnobr)}{STRING Style.Font[Global.Font.scheme].textLabel.end}
{ELSE}
	{IF Find.resultsTotal == 0}
	<h2>&nbsp;{STRING Folder.Name.findResults} - {VAR noScript(nobr)}{STRING ItemList.Found.none}{VAR noScript(endnobr)}</h2>
	{ELSE}
	<h2>&nbsp;{STRING Folder.Name.findResults} - {VAR noScript(nobr)}{STRING ItemList.Found.findTotal Find.resultsFirstDispItem Find.resultsLastDispItem Find.resultsTotal}{VAR noScript(endnobr)}<span id="nomsgitemrefresh">&nbsp;</span></h2>
	{ENDIF}
{ENDIF}
{ENDIF}

{IF Find.UpdateList == "1" ||
	Folder.type == "Folder.OUTBOX" ||
	Folder.type == "Folder.SENTITEMS" ||
	Folder.type == "Folder.TRASH" ||
	Folder.type == "Folder.QUERY" ||
	Folder.type == "Folder.UNOPENED" }
		{SET bShowFolders = 1}
{ELSE}    
		{SET bShowFolders = 0}
{ENDIF}

</div>


<!-- Toolbar starts here -->
<div id="idToolbar" class="toolbar toolbarEx" style="font-size: 85%; margin-bottom: 1px">
	<span class="toolbar toolbarEx" title="{STRING ItemList.Update.verbose}">
		<a href="#" class="toolbar" style="font-size: 85%;" onclick="updateMsglist(event); return false;" id="msglistRefreshButton" title="{STRING ItemList.Update.verbose}">
			<img src="{VAR Templates.Images.url}/ecl_update.gif" alt="{STRING ItemList.Update.verbose}" width=22 height=22 title="{STRING ItemList.Update.verbose}">
			{STRING ItemList.update}
		</a>
	</span>
	
	{IF (Folder.type == "Folder.SHARED" || (Folder.type == "Folder.SHAREDREF" && DEF Folder.Rights.post)) && User.Access.Write.Mail == 1}
	<span class="toolbar toolbarEx" title="{STRING Compose.Post.Folder.prompt}">
		<a href="#" class="toolbar" style="font-size: 85%;" title="{STRING Compose.Post.Folder.prompt}" onclick="popout('{VAR noScript(Home.url)}?User.context={VAR noScript(User.context)}&action=Compose.Action&Item.Compose.method=POST&Item.Folder.id={VAR noScript(Folder.id)}&merge=xsend', '_blank', {STRING Style.Size.Compose.Window.height}, {STRING Style.Size.Compose.Window.width}, true); return false;">
		    <IMG src="{VAR Templates.Images.url}/post_note.gif" alt="{STRING Compose.Post.Folder.prompt}" title="{STRING Compose.Post.Folder.prompt}" align=top border=0 width=22 height=22>{!idinore.gif}
			{STRING Compose.Button.Text.post}
		</a>
	</span>
	{ENDIF}
    
	<img src="{VAR Templates.Images.url}/dotzero.gif" width=24 height=1 alt="">
	
	{IF bTrash == 1 && Item.count > 0}
	<span class="toolbar toolbarEx" title="{STRING Trash.Action.purgeSelected}">
		<a href="#" class="toolbar" style="font-size: 85%;" onclick="handleToolbarActions(event,20);" title="{STRING Trash.Action.purgeSelected}">
			<img src="{VAR Templates.Images.url}/act_purge.gif" width=22 height=22 alt="{STRING Item.Action.purgeSelected}" title="{STRING Item.Action.purgeSelected}">
			{STRING Trash.Action.purgeSelected}
		</a>
	</span>
	
	<span class="toolbar toolbarEx" title="{STRING Trash.Action.undelete}">
		<a href="#" class="toolbar" style="font-size: 85%;" onclick="handleToolbarActions(event,21);" title="{STRING Trash.Action.undelete}">
			<img src="{VAR Templates.Images.url}/act_undelete.gif" width=22 height=22 alt="{STRING Trash.Action.undelete}" title="{STRING Trash.Action.undelete}">
			{STRING Trash.Action.undelete}
		</a>
	</span>
	
	<span class="toolbar toolbarEx" title="{STRING Trash.Action.empty}">
		<a href="#" class="toolbar" style="font-size: 85%;" onclick="handleToolbarActions(event,22, '{VAR Folder.id}');" title="{STRING Trash.Action.empty}">
			<img src="{VAR Templates.Images.url}/act_purge.gif" width=22 height=22 alt="{STRING Trash.Action.empty}" title="{STRING Trash.Action.empty}">
			{STRING Trash.Action.empty}
		</a>
	</span>
	{ENDIF}
	
	{IF bSentItems == 1 || bOutbox == 1}
	<span class="toolbar toolbarEx" title="{STRING SentItems.Action.retract}">
		<a href="#" class="toolbar" style="font-size: 85%;" onclick="handleToolbarActions(event,30);" title="{STRING SentItems.Action.retract}">
			<img src="{VAR Templates.Images.url}/act_delete.gif" width=22 height=22 alt="{STRING SentItems.Action.retract}" title="{STRING SentItems.Action.retract}">
			{STRING SentItems.Action.retract}
		</a>
	</span>
	
	<span class="toolbar toolbarEx" title="{STRING SentItems.Action.retractAll}">
		<a href="#" class="toolbar" style="font-size: 85%;" onclick="handleToolbarActions(event,31);" title="{STRING SentItems.Action.retractAll}">
			<img src="{VAR Templates.Images.url}/act_delete.gif" width=22 height=22 alt="{STRING SentItems.Action.retractAll}" title="{STRING SentItems.Action.retractAll}">
			{STRING SentItems.Action.retractAll}
		</a>
	</span>
	{ENDIF}
	
	{IF bDelItem == 1}
	<span class="toolbar toolbarEx" title="{STRING Item.Action.delete}">
		<a href="#" class="toolbar" style="font-size: 85%;" onclick="handleToolbarActions(event,1);" title="{STRING Item.Action.delete}">
			<img src="{VAR Templates.Images.url}/act_delete.gif" width=22 height=22 alt="{STRING Item.Action.delete}" title="{STRING Item.Action.delete}">
			{STRING Item.Action.delete}
		</a>
	</span>
	{INCLUDE delete-as-spam-msglist-button.inc}
	{ENDIF}
	
	{IF bMoveItem == 1}
	<span class="toolbar toolbarEx" title="{STRING Item.Action.move}">
		<a href="#" class="toolbar" style="font-size: 85%;" onclick="handleToolbarActions(event,2);" title="{STRING Item.Action.move}">
			<img src="{VAR Templates.Images.url}/itemmove.gif" width=22 height=22 alt="{STRING Item.Action.move}" title="{STRING Item.Action.move}">
			{STRING Item.Action.move}
		</a>
	</span>
	{ENDIF}
	
	{IF bAccept == 1}
	<span class="toolbar toolbarEx" title="{STRING Item.Action.accept}">
		<a href="#" class="toolbar" style="font-size: 85%;"  onclick="handleToolbarActions(event,3);" title="{STRING Item.Action.accept}">
			<img src="{VAR Templates.Images.url}/act_accept.gif" width=22 height=22 alt="{STRING Item.Action.accept}" title="{STRING Item.Action.accept}">
			{STRING Item.Action.accept}
		</a>
	</span>
	
	<span class="toolbar toolbarEx" title="{STRING Item.Action.decline}">
		<a href="#" class="toolbar" style="font-size: 85%;" onclick="handleToolbarActions(event,4);" title="{STRING Item.Action.decline}">
			<img src="{VAR Templates.Images.url}/act_decline.gif" width=22 height=22 alt="{STRING Item.Action.decline}" title="{STRING Item.Action.decline}">
			{STRING Item.Action.decline}
		</a>
	</span>
	{ENDIF}
	
	{IF bComplete == 1}
	<span class="toolbar toolbarEx" title="{STRING Item.Action.complete}">
		<a href="#" class="toolbar" style="font-size: 85%;" onclick="handleToolbarActions(event,5);" title="{STRING Item.Action.complete}">
			<img src="{VAR Templates.Images.url}/markcompleted.gif" width=22 height=22 alt="{STRING Item.Action.complete}" title="{STRING Item.Action.complete}">
			{STRING Item.Action.complete}
		</a>
	</span>
	{ENDIF}
	
	{IF bReadLater == 1}
	<span class="toolbar toolbarEx" title="{STRING Item.Action.readlater}">
		<a href="#" class="toolbar"  style="font-size: 85%;" onclick="handleToolbarActions(event,6);" title="{STRING Item.Action.readlater}">
			<img src="{VAR Templates.Images.url}/act_readlater.gif" width=22 height=22 alt="{STRING Item.Action.readlater}" title="{STRING Item.Action.readlater}">
			{STRING Item.Action.readlater}
		</a>
	</span>
	{ENDIF}
	
	{IF bMarkRead == 1}
	<span class="toolbar toolbarEx" title="{STRING Item.Action.markread}">
		<a href="#" class="toolbar" style="font-size: 85%;" onclick="handleToolbarActions(event,7);" title="{STRING Item.Action.markread}">
			<img src="{VAR Templates.Images.url}/mark_as_read.png" width=22 height=22 alt="{STRING Item.Action.markread}" title="{STRING Item.Action.markread}">
			{STRING Item.Action.markread}
		</a>
	</span>
	{ENDIF}
	
	{IF bCheckListFolder == 1}
	<span class="toolbar toolbarEx" title="{STRING Item.CheckList.Top}">
		<a href="#" class="toolbar" style="font-size: 85%;" onclick="handleToolbarActions(event,40);" title="{STRING Item.CheckList.Top}">
			<img src="{VAR Templates.Images.url}/arrowtop2.gif" alt="{STRING Item.CheckList.Top}" title="{STRING Item.CheckList.Top}" width=16 height=22>
		</a>
	</span>
	<span class="toolbar toolbarEx" title="{STRING Item.CheckList.Bottom}">
		<a href="#" class="toolbar" style="font-size: 85%;" onclick="handleToolbarActions(event,41);" title="{STRING Item.CheckList.Bottom}">
			<img src="{VAR Templates.Images.url}/arrowbottom2.gif" alt="{STRING Item.CheckList.Bottom}" title="{STRING Item.CheckList.Bottom}" width=16 height=22>
		</a>
	</span>
	<span class="toolbar toolbarEx" title="{STRING Item.CheckList.Up}">
		<a href="#" class="toolbar" style="font-size: 85%;" onclick="handleToolbarActions(event,42);" title="{STRING Item.CheckList.Up}">
			<img src="{VAR Templates.Images.url}/arrowup2.gif" alt="{STRING Item.CheckList.Up}" title="{STRING Item.CheckList.Up}" width=16 height=22>
		</a>
	</span>
	<span class="toolbar toolbarEx" title="{STRING Item.CheckList.Down}">
		<a href="#" class="toolbar" style="font-size: 85%;" onclick="handleToolbarActions(event,43);" title="{STRING Item.CheckList.Down}">
			<img src="{VAR Templates.Images.url}/arrowdown2.gif" alt="{STRING Item.CheckList.Down}" title="{STRING Item.CheckList.Down}" width=16 height=22>
		</a>
	</span>
	{ENDIF}
</div>
<!-- Toolbar ends here -->

<!-- Message list table starts here -->
<div id="tableContainer" class="tableContainer" style="{IF Browser.flavor == "SAFARI" && Browser.flvMjrVer < "312"}{ELSE}overflow: auto; height: 10px; {ENDIF}visibility: hidden;">
<table summary="mail list" class="list scrollTable" cellpadding=0 cellspacing=0 border="0" style="width: 97%;">
    	<!-- Column Headings -->
	<thead class="fixedHeader">
	<tr>
		<th align="{VAR noScript(DIRALIGN)}" colspan="2" width="2%"><input type="checkbox" name="SelectAll" onclick="SetChecked()" onkeyup="if( event.keyCode == 32 ){ SetChecked() }"></th>
		<th align="{VAR noScript(DIRALIGN)}" width="10%" nowrap>{VAR noScript(nameHdr)}</th>
		<th align="{VAR noScript(DIRALIGN)}" nowrap>{STRING ItemList.Heading.subject}</th>
		<th align="{VAR noScript(DIRALIGN)}" width="10%" style="white-space: nowrap">{IF Folder.type == "Folder.TASKLIST"  || Folder.type == "Folder.CHECKLIST"}{STRING ItemList.Heading.dueDate}{ELSE}{STRING ItemList.Heading.date}{ENDIF}</th>

		{IF bShowFolders == 1}
			<th align="{VAR noScript(DIRALIGN)}" width="10%" nowrap>{STRING ItemList.Heading.folder}</th>
		{ENDIF}
	</tr>
	</thead>


	<!-- Checklist folder help page -->
	{IF bCheckListFolder == 1 && Item.count == 0}
		{INCLUDE chklinfo.inc}
	{ENDIF}

<tbody class="scrollContent">
	{SET a=1}
	{SET count=Item.count}

	{!---------- Main Loop to process each item ----------}
	{SET bDoStripe = 0}
	{WHILE a <= count}
		{SET itemType = Item[a].type} {!--- Item[a].type is used several times. Save it in a non-subscripted local var for faster access ---}
		<tr oncontextmenu="return showMsglistPopupMenu(event,1, this.id); "  id="{VAR Item[a].drn}" class="msglistrow {IF bDoStripe == 1}even{SET bDoStripe=0}{ELSE}{SET bDoStripe=1}odd{ENDIF}
				{IF Item[a].Status.read == "Unread" && bOutbox != 1}unread{ELSE}read{ENDIF}">
		{SET gifstat = substring(Item[a].Status.read, 0,2)}
		{SET gifstat = toLower(gifstat)}
		{SET giftype = substring(itemType, 0,2)}
		{SET giftype = toLower(giftype)}
		{SET gifpri = substring(Item[a].priority, 0,2)}
		{SET gifpri = toLower(gifpri)}

		{IF Item[a].type == "Appointment"}
			{SET rights = User.Access.Write.Appointment}
		{ELSEIF Item[a].type == "Note"}
			{SET rights = User.Access.Write.Note}
		{ELSEIF Item[a].type == "Task"}
			{SET rights = User.Access.Write.Todo}
		{ELSEIF Item[a].type == "Phone"}
			{SET rights = User.Access.Write.Phone}
		{ELSE}
			{SET rights = User.Access.Write.Mail}
		{ENDIF}

		{IF DEF User.proxyId}
			{SET indexOfDot = find( User.proxyId, ".")}
			{IF indexOfDot > 0}
				{SET proxyId = substring( User.proxyId, 0, indexOfDot)}
			{ENDIF}
		{ENDIF}

		{! Mark if this is a posted item that can be edited }
		{IF GWAP.version >= "7.01" && ( ( toLower(Item[a].fromFullId) == toLower(User.id) && NOTDEF User.proxyId)||
			( DEF proxyId && rights == "1" && toLower(Item[a].fromFullId) == toLower(proxyId) ) ) &&
			(Item[a].subType == "Item.DISCUSSION" || Item[a].subType == "Item.PERSONAL" ) && 
			Item[i].isAutoDate != "1"}
			{SET bEditPostedItem = 1}
		{ELSE}
			{SET bEditPostedItem = 0}
		{ENDIF}

	<!-- Check box -->
	<td class="nowrap list-cb" valign="top">
		{IF Item[a].subType != "Item.SHARED_FOLDER" && Item[a].subType != "Item.SHARED_ADDRESS_BOOK"}
			<INPUT type="Checkbox" id="msgitem{VAR a}" name="Item.drn" value="{VAR noScript(Item[a].drn)}" onClick="selectRow(this);">
		{ELSE}
			{IF Folder.type="Folder.SENTITEMS"}
				<INPUT type="Checkbox" id="msgitem{VAR a}" name="Item.drn" value="{VAR noScript(Item[a].drn)}" onclick="selectRow(this);">
			{ENDIF}
		{ENDIF}

		{IF (bCheckListFolder == 1 || Item[a].Folder.type == "Folder.CHECKLIST" || Item[a].type == "Task") && Item[a].Status.completed == "Completed"}
			<img src="{VAR noScript(Templates.Images.url)}/completed.gif" width="7" height="6" alt="{STRING Item.Status.completed}" title="{STRING Item.Status.completed}">
		{ENDIF}
	</td>
	
	<!-- Set in reply requested DRN if necessary  -->
	{IF DEF Item[a].ReplyRequested.type && Item[a].ReplyRequested.type != 0}
		<SCRIPT type="text/javascript">
		<!--            
			nRRItemArray[nRRItemArray.length]="{VAR noScript(Item[a].drn)}";
		// -->
		</script>
	{ENDIF}

	{!--- Determine if there is an action gif to display with the message --}
	{SET msgActionGIF = ""}
	{IF Item[a].Status.delegated != ""}
		{SET msgActionGIF = "d"}
	{ENDIF}
	
	{IF Item[a].Status.forwarded != ""}
		{SET msgActionGIF = {VAR msgActionGIF}"f"}
	{ENDIF}
	
	{IF Item[a].Status.replied != ""}
		{SET msgActionGIF = {VAR msgActionGIF}"r"}
	{ENDIF}

	{!----- Icon -----}
	<td valign="top" class="nowrap list-icon">
		<img src='{VAR noScript(Templates.Images.url)}/{!
				}{IF itemType == "Document"
				}idoc{VAR noScript(gifstat)}.gif{
				ELSEIF (DEF Item[a].ReplyRequested.type && Item[a].ReplyRequested.type != 0 )
					}ireply{VAR noScript(gifpri)}.gif{
				ELSEIF Item[a].subType == "Item.SHARED_ADDRESS_BOOK"
					}iaddr.gif{
				ELSEIF Item[a].subType == "Item.SHARED_FOLDER"
					}fl_shrnot.gif{
				ELSE
					}i{VAR noScript(giftype)}{VAR noScript(gifpri)}{VAR noScript(gifstat)}.gif{
				ENDIF}' width="16" height="16" class="list-icon-img">{IF itemType != "Document" && ( Item[a].subType == "Item.DISCUSSION" || Item[a].subType == "Item.PERSONAL" )}<img src="{VAR noScript(Templates.Images.url)}/post.gif" width=8 height=16>{ENDIF}{!
		}{IF Item[a].isOutbound == 1}<img src="{VAR noScript(Templates.Images.url)}/sentitem.gif" alt="" title="" width="9" height="16" class="list-icon-img" {IF Browser.name == "MSIE"}align=middle{ENDIF}>{ENDIF}{!
		}{IF Item[a].isDraft == 1}<img src="{VAR noScript(Templates.Images.url)}/draft.gif" width=8 height=16 alt="" title="">{ELSEIF msgActionGIF != ""}<img src="{VAR noScript(Templates.Images.url)}/msgact{VAR msgActionGIF}.gif" width=9 height=16 alt="" title="">{ENDIF}{IF Item[a].hasAttachment == 1}<img src="{VAR noScript(Templates.Images.url)}/dotzero.gif" alt="" height="0" width="2" class="list-icon-img"><img src="{VAR noScript(Templates.Images.url)}/pprclip.png"
							alt="{STRING ItemList.Image.AltText.attachments}" title="{STRING ItemList.Image.AltText.attachments}" {IF Browser.name == "MSIE"}align=middle{ENDIF} width="6" height="7" class="list-icon-img" >{ENDIF}
	</td>
		
	{!-- setup settings for the link to the message --}
	{!-- Checklist folder needs to display late messages in red --}
	{IF bCheckListFolder == 1}
		{SET ChecklistUseLateFont = 0}
		{SET clnow = today()}
		{SET clthisYear = date(clnow, "yyyy")}
		{SET clthisMonth = date(clnow, "M")}
		{SET clthisDay = date(clnow, "d")}
		{SET cltodaysDate = createDate(clthisMonth, clthisDay, clthisYear)}
		
		{IFDEF Item[a].checkListDueDate}
			{IF cltodaysDate > Item[a].checkListDueDate}
				{SET ChecklistUseLateFont = 1}
			{ENDIF}
		{ENDIF}

		{! We need to check for a task due date without a checklist due date}
		{!Work around a defect in NOTDEF template processing}
		{SET CL_TEMP = Item[a].checkListDueDate}
		{IF itemType == "Task" && DEF Item[a].dateEnd && CL_TEMP == ""}
			{IF cltodaysDate > Item[a].dateEnd}
				{SET ChecklistUseLateFont = 1}
			{ENDIF}
		{ENDIF}
	{ENDIF}

	{IF (itemType == "Appointment" || itemType == "Note" || itemType == "Task") && (Item[a].Status.accepted == "Unaccepted")}{SET isUnaccepted = 1}{ELSE}{SET isUnaccepted = 0}{ENDIF}
	{SET fmtSub=toHTML(Item[a].subject)}
		
	<!-- From (or to) -->
	{!-- Need to include the unread/read class here as well because Safari is not cascading the style down from the tr element  --}
	<td valign="top" align="{VAR noScript(DIRALIGN)}" class="nowrap list-from  {IF Item[a].Status.read == "Unread" && bOutbox != 1}unread{ELSE}read{ENDIF}">
			{IF Item[a].isOutbound != 1}
				{SET iLen = length(Item[a].from)}
				
				{IF iLen > 25}
					{SET iLen = 25}
				{ENDIF}
				
				{SET fromText = toHTML({VAR substring(Item[a].from, 0, 25)} )}  
			{ELSE}
				{SET iLen = length(Item[a].to)}
					
				{IF iLen > 25}
					{SET iLen = 25}
				{ENDIF}
						
				{SET fromText = toHTML({VAR substring(Item[a].toId, 0, 25)} )}  
			{ENDIF}
		
			{IF itemType == "Document"}
				{IF Item[a].subject == ""}
					{SET dispSub = {VAR noScript(Item[a].Document.id)}"."{VAR noScript(Item[a].Document.ext)}}
				{ELSE}
					{SET dispSub = Item[a].subject}
				{ENDIF}    
				
				{SET docName = urlEncode(dispSub) }
	
				{IF {VAR User.Access.HTMLDoc} == "true" && {VAR Item[a].allowView} == "1"}
					<a class="list-from-link" href="{VAR noScript(Home.url)}/{VAR noScript(User.context)}/{VAR noScript(Provider.name)}/DREF/{!
					}{VAR noScript(Item[a].Library.id)}/{!
					}{VAR noScript(Item[a].Document.id)}/{!
					}{VAR noScript(Item[a].Document.version)}/{!
					}webacc/GWContentRoot?{!
					}action=Document.View{!
					}&amp;User.context={VAR noScript(User.context)}{!
					}&merge=fileview{!
					}&Item.Attachment.type={VAR noScript(Item[a].type)}{!
					}&Item.Attachment.Library.id={VAR noScript(Item[a].Library.id)}{!
					}&Item.Attachment.Document.id={VAR noScript(Item[a].Document.id)}{!
					}&Item.Attachment.Document.version={VAR noScript(Item[a].Document.version)}{!
					}&Item.Attachment.allowViewNative={VAR noScript(Item[a].allowViewNative)}{!
					}&Item.Attachment.filename={VAR noScript(docName)}{!
					}{IF Find.UpdateList == "1"}&amp;Find.UpdateList=1{ENDIF}"
								target="Attach"
					onclick='popout("{VAR noScript(Home.url)}/{VAR noScript(User.context)}/{VAR noScript(Provider.name)}/DREF/{!
					}{VAR noScript(Item[a].Library.id)}/{!
					}{VAR noScript(Item[a].Document.id)}/{!
					}{VAR noScript(Item[a].Document.version)}/{!
					}webacc/GWContentRoot?{!
					}action=Document.View{!
					}&amp;User.context={VAR noScript(User.context)}{!
					}&merge=fileview{!
					}&Item.Attachment.type={VAR noScript(Item[a].type)}{!
					}&Item.Attachment.Library.id={VAR noScript(Item[a].Library.id)}{!
					}&Item.Attachment.Document.id={VAR noScript(Item[a].Document.id)}{!
					}&Item.Attachment.Document.version={VAR noScript(Item[a].Document.version)}{!
					}&Item.Attachment.allowViewNative={VAR noScript(Item[a].allowViewNative)}{!
					}&Item.Attachment.filename={VAR noScript(docName)}{!
					}{IF Find.UpdateList == "1"}&amp;Find.UpdateList=1{ENDIF}", "attach"); return false;'
					>{VAR fromText}</a>
				{ELSE}
					{VAR fromText}
				{ENDIF}
			{ELSE}
				<A class="list-from-link" href="{VAR noScript(Home.url)}?action={IF Item[a].isDraft == 1}Item.Compose{ELSEIF bEditPostedItem == 1}Item.EditPost&Item.Compose.method=POST{ELSE}Item.Read{ENDIF}&User.context={VAR noScript(User.context)}&Item.drn={VAR noScript(Item[a].drn)}&Url.Folder.type={VAR noScript(Folder.type)}&merge={IF Item[a].isDraft == 1 || bEditPostedItem == 1}xsend{ELSE}msgitem{ENDIF}{IF Find.UpdateList == "1"}&Find.UpdateList=1{ENDIF}{IFDEF sentValue}&{VAR noScript(sentValue)}{ENDIF}
				{IF Folder.type == "Folder.SHAREDREF"}{IFDEF Folder.Rights.delete}&Url.Folder.Rights.delete=1{ENDIF}{IFDEF Folder.Rights.post}&Url.Folder.Rights.post=1{ENDIF}{ENDIF}"
					{IF Item[a].isDraft == 1 || bEditPostedItem == 1}target="{VAR noScript(Item[a].drn)}"{ELSE}target="ItemView"{ENDIF}
					onclick='doPopout("{VAR noScript(Item[a].drn)}", "&Url.Folder.type={VAR noScript(Folder.type)}{IF Find.UpdateList == "1"}&Find.UpdateList=1{ENDIF}{IF Folder.type == "Folder.SHAREDREF"}{IFDEF Folder.Rights.delete}&Url.Folder.Rights.delete=1{ENDIF}{IFDEF Folder.Rights.post}&Url.Folder.Rights.post=1{ENDIF}{ENDIF}{IFDEF sentValue}&{VAR noScript(sentValue)}{ENDIF}", {IF Item[a].isDraft == 1}1{ELSE}0{ENDIF}, {IF bEditPostedItem == 1}1{ELSE}0{ENDIF}); return false;'>
					{IF isUnaccepted == 1}<I>{ENDIF}{IF ChecklistUseLateFont == 1}{STRING Style.Font[Global.Font.scheme].lateChecklistText}{ENDIF}{VAR fromText}{IF ChecklistUseLateFont == 1}{STRING Style.Font[Global.Font.scheme].lateChecklistText.end}{ENDIF}{IF isUnaccepted == 1}</I>{ENDIF}</A>
			{ENDIF}
	</td>
	
	<!-- Subject -->
	{!-- Need to include the unread/read class here as well because Safari is not cascading the style down from the tr element  --}
	<td valign="top" width="98%" class="{IF Item[a].Status.read == "Unread" && bOutbox != 1}unread{ELSE}read{ENDIF}">
	
		{!-- We only need to use the redirection method if 'cookies' arent enabled.
		If cookies ARE enabled then we can put the link in directly. --}
		{IF Security.Session.UseClientCookie.enable == "true"}
			{SET lnkSub = linkURLs(fmtSub, "", "</a><!--NOVELL_REWRITER_OFF-->(<a class=weblink href={0} target='browserView'>{1}</a>)<!--NOVELL_REWRITER_ON-->", "true", " ")}
		{ELSE}
			{SET link = {VAR noScript(Home.url)} "?User.context=" User.context "&merge=linkurl&amp;Url.linkText="  }
			{SET linkFmt = "</a> (<a class=weblink href="{VAR noScript(link)}"{0} target='browserView'>{1}</a>)"}
			{SET lnkSub = linkEncodedURLs(fmtSub, "", linkFmt, "true", "  ")}
		{ENDIF}
		
		{IF Item[a].subject == ""}
			{SET dispSub = {STRING ItemList.Subject.blank}}
		{ELSE}
			{SET dispSub = "<!--NOVELL_REWRITER_OFF-->"{VAR noScript(fmtSub)}"<!--NOVELL_REWRITER_ON--> "{VAR noScript(lnkSub)}}
		{ENDIF}
		
		{IF itemType == "Document"}
		{IF Item[a].subject == ""}
			{SET dispSub = {VAR noScript(Item[a].Document.id)}"."{VAR noScript(Item[a].Document.ext)}}
		{ELSE}
			{SET dispSub = Item[a].subject}
		{ENDIF}
		
		{SET docName = urlEncode(dispSub) }

		{IF {VAR User.Access.HTMLDoc} == "true" && {VAR Item[a].allowView} == "1"}
			<a href="{VAR noScript(Home.url)}/{VAR noScript(User.context)}/{VAR noScript(Provider.name)}/DREF/{!
				}{VAR noScript(Item[a].Library.id)}/{!
				}{VAR noScript(Item[a].Document.id)}/{!
				}{VAR noScript(Item[a].Document.version)}/{!
				}webacc/GWContentRoot?{!
				}action=Document.View{!
				}&amp;User.context={VAR noScript(User.context)}{!
					}&merge=fileview{!
					}&Item.Attachment.type={VAR noScript(Item[a].type)}{!
					}&Item.Attachment.Library.id={VAR noScript(Item[a].Library.id)}{!
					}&Item.Attachment.Document.id={VAR noScript(Item[a].Document.id)}{!
					}&Item.Attachment.Document.version={VAR noScript(Item[a].Document.version)}{!
					}&Item.Attachment.allowViewNative={VAR noScript(Item[a].allowViewNative)}{!
					}&Item.Attachment.filename={VAR noScript(docName)}{!
				}{IF Find.UpdateList == "1"}&amp;Find.UpdateList=1{ENDIF}"
							target="Attach"
			onclick='popout("{VAR noScript(Home.url)}/{VAR noScript(User.context)}/{VAR noScript(Provider.name)}/DREF/{!
				}{VAR noScript(Item[a].Library.id)}/{!
				}{VAR noScript(Item[a].Document.id)}/{!
				}{VAR noScript(Item[a].Document.version)}/{!
				}webacc/GWContentRoot?{!
				}action=Document.View{!
				}&amp;User.context={VAR noScript(User.context)}{!
					}&merge=fileview{!
					}&Item.Attachment.type={VAR noScript(Item[a].type)}{!
					}&Item.Attachment.Library.id={VAR noScript(Item[a].Library.id)}{!
					}&Item.Attachment.Document.id={VAR noScript(Item[a].Document.id)}{!
					}&Item.Attachment.Document.version={VAR noScript(Item[a].Document.version)}{!
					}&Item.Attachment.allowViewNative={VAR noScript(Item[a].allowViewNative)}{!
					}&Item.Attachment.filename={VAR noScript(docName)}{!
				}{IF Find.UpdateList == "1"}&amp;Find.UpdateList=1{ENDIF}", "attach"); return false;'
			>{VAR noScript(dispSub)}</a>
		{ELSE}
			{VAR noScript(dispSub)}
		{ENDIF}

			{IF {VAR User.Access.HTMLDocNative} == "true" && {VAR Item[a].allowViewNative} == "1"}
				<a href="{VAR noScript(Home.url)}/{VAR noScript(User.context)}/{VAR noScript(Provider.name)}/DREF/{VAR noScript(Item[a].Library.id)}/{VAR noScript(Item[a].Document.id)}/{VAR noScript(Item[a].Document.version)}/webacc/GWContentRoot?action=Document.ViewNative&amp;User.context={VAR noScript(User.context)}{IF Find.UpdateList == "1"}&amp;Find.UpdateList=1{ENDIF}" style="color:{STRING Style.Color[Global.Color.scheme].Action.link}">[{STRING Item.Action.Attachment.viewNative}]</a>
			{ENDIF}

		<a href="{VAR noScript(Home.url)}/{VAR noScript(User.context)}/{VAR noScript(Provider.name)}/DREF/{VAR noScript(Item[a].Library.id)}/{VAR noScript(Item[a].Document.id)}/{VAR noScript(Item[a].Document.version)}/GWNative/GWContentRoot/{VAR noScript(docName)}?action=Document.Save&amp;User.context={VAR noScript(User.context)}" style="color:{STRING Style.Color[Global.Color.scheme].Action.link}">[{STRING ItemList.Document.save}]</a>{!
		}<a href="{VAR noScript(Home.url)}?User.context={VAR noScript(User.context)}&amp;action=Document.Profile&amp;Library.id={VAR noScript(Item[a].Library.id)}&amp;Document.id={VAR noScript(Item[a].Document.id)}&amp;Document.version={VAR noScript(Item[a].Document.version)}&amp;merge=docprop{IF Find.UpdateList == "1"}&amp;Find.UpdateList=1{ENDIF}"
				target="docprops"
				onclick='popout("{VAR noScript(Home.url)}?User.context={VAR noScript(User.context)}&amp;action=Document.Profile&amp;Library.id={VAR noScript(Item[a].Library.id)}&amp;Document.id={VAR noScript(Item[a].Document.id)}&amp;Document.version={VAR noScript(Item[a].Document.version)}&amp;merge=docprop{IF Find.UpdateList == "1"}&amp;Find.UpdateList=1{ENDIF}", "docprops", 300, 480);return false;' style="color:{STRING Style.Color[Global.Color.scheme].Action.link}">[{STRING ItemList.Document.properties}]</a>
		{ELSE}
			<A href="{VAR noScript(Home.url)}?action={IF Item[a].isDraft == 1}Item.Compose{ELSEIF bEditPostedItem == 1}Item.EditPost&Item.Compose.method=POST{ELSE}Item.Read{ENDIF}&User.context={VAR noScript(User.context)}&Item.drn={VAR noScript(Item[a].drn)}&Url.Folder.type={VAR noScript(Folder.type)}&merge={IF Item[a].isDraft == 1 || bEditPostedItem == 1}xsend{ELSE}msgitem{ENDIF}{IF Find.UpdateList == "1"}&Find.UpdateList=1{ENDIF}{IFDEF sentValue}&{VAR noScript(sentValue)}{ENDIF}
				{IF Folder.type == "Folder.SHAREDREF"}{IFDEF Folder.Rights.delete}&Url.Folder.Rights.delete=1{ENDIF}{IFDEF Folder.Rights.post}&Url.Folder.Rights.post=1{ENDIF}{ENDIF}"
				{IF Item[a].isDraft == 1 || bEditPostedItem == 1}target="{VAR noScript(Item[a].drn)}"{ELSE}target="ItemView"{ENDIF}
				onclick='doPopout("{VAR noScript(Item[a].drn)}", "&Url.Folder.type={VAR noScript(Folder.type)}{IF Find.UpdateList == "1"}&Find.UpdateList=1{ENDIF}{IF Folder.type == "Folder.SHAREDREF"}{IFDEF Folder.Rights.delete}&Url.Folder.Rights.delete=1{ENDIF}{IFDEF Folder.Rights.post}&Url.Folder.Rights.post=1{ENDIF}{ENDIF}{IFDEF sentValue}&{VAR noScript(sentValue)}{ENDIF}", {IF Item[a].isDraft == 1}1{ELSE}0{ENDIF}, {IF bEditPostedItem == 1}1{ELSE}0{ENDIF}); return false;'>
				{IF isUnaccepted == 1}<I>{ENDIF}{IF ChecklistUseLateFont == 1}{STRING Style.Font[Global.Font.scheme].lateChecklistText}{ENDIF}{VAR noScript(dispSub)}{IF ChecklistUseLateFont == 1}{STRING Style.Font[Global.Font.scheme].lateChecklistText.end}{ENDIF}{IF isUnaccepted == 1}</I>{ENDIF}</A>
		{ENDIF}
	</td>
	
	<!-- Date -->
	<td valign="top" align="{VAR noScript(DIRALIGN)}" class="nowrap">
		{IF Folder.type == "Folder.TASKLIST"}
			{VAR date(Item.dateEnd, {STRING Item.Date.format})}
			{SET d=date(Item[a].dateEnd, {STRING ItemList.Item.DueDate.format})}
			{SET t=date(Item[a].dateEnd, {STRING ItemList.Item.Time.format})}
		{ELSEIF Folder.type == "Folder.CHECKLIST"}
			{IF DEF Item[a].checkListDueDate}
				{SET d=date(Item[a].checkListDueDate, {STRING ItemList.Item.DueDate.format})}
			{ELSEIF itemType == "Task"}
				{SET d=date(Item[a].dateEnd, {STRING ItemList.Item.DueDate.format})}
			{ELSE}
				{SET d=""}
			{ENDIF}
		{ELSE}
			{IF itemType == "Appointment" || itemType == "Note" || itemType == "Task"}
				{SET d=date(Item[a].dateStart, {STRING ItemList.Item.Date.format})}
				{IF itemType == "Appointment"}
					{SET t=date(Item[a].dateStart, {STRING ItemList.Item.Time.format})}
				{ELSE}
					{SET t=""}
				{ENDIF}
			{ELSE}
				{SET d=date(Item[a].dateSent, {STRING ItemList.Item.Date.format})}
				{SET t=date(Item[a].dateSent, {STRING ItemList.Item.Time.format})}
			{ENDIF}
		{ENDIF}
		
		
		{IF ChecklistUseLateFont == 1}
			{STRING Style.Font[Global.Font.scheme].lateChecklistText}
		{ENDIF}
		
		{VAR noScript(d)} {VAR noScript(t)}
		{IF ChecklistUseLateFont == 1}
			{STRING Style.Font[Global.Font.scheme].lateChecklistText.end}
		{ENDIF}
	</td>
	
	{IF bShowFolders == 1}
		<td valign="top" align="{VAR noScript(DIRALIGN)}" class="nowrap">
			{VAR toHTML({VAR substring(Item[a].folder, 0, 25)})}
		</td>
	{ENDIF}

	</tr>
	{INC a}
{ENDWHILE}
<!-- End Main Loop to process each item -->
</tbody>
</table>
</FORM>
</div>
<!-- Message list table ends here -->


<!-- Get Next nn Messages -->
<div id="idDisplayNext" style="visibility: hidden;">
{IF Folder.hasMore == "1"}
	<FORM Method=Post Action="{VAR noScript(Home.url)}" style="display: inline">
		<INPUT type="hidden" name="User.context" value="{VAR noScript(User.context)}">
		<INPUT type="hidden" name="merge" value="{VAR merge}">

		{IF Find.UpdateList == "1"}
			<INPUT type="hidden" name="Folder.List.css" value="">
			<INPUT type="hidden" name="action" value="Find.Action">
			<INPUT type="hidden" name="Find.UpdateList" value="1">
			
			{IF Folder.enablePrev == "1"}
				<INPUT type="Submit" name="Find.Prev" class="button" value=" {STRING ItemList.getPrev} ">
			{ENDIF}
			
			{IF Folder.enableNext == "1"}
				<INPUT type="Submit" value="{STRING ItemList.getNext}" name="Find.Next" class="button" >
			{ELSE}
				<!-- If we dont enable Next, then we must be at the end -->
				<INPUT type="Submit" value="{STRING ItemList.displayFromStart}" name="Find.Beginning" class="button" >
			{ENDIF}
		{ELSE}
			<INPUT type="hidden" name="action" value="Folder.List.Open">
			<INPUT type="hidden" name="Folder.queryType" value="Folder.queryNext">
			<INPUT type="hidden" name="Folder.id" value={VAR noScript(Folder.id)}>
			<INPUT type="Submit" class="button" value="{STRING ItemList.getNext}" class="button">
		{ENDIF}

		<SELECT NAME="Folder.queryCount" style="vertical-align: bottom">
			{SET i = 5}
			{SET iPrev = 0}
			{WHILE i <= 200}
				{IF iPrev < Folder.queryCount && {VAR Folder.queryCount} <= i}<OPTION SELECTED>{ELSE}<OPTION>{ENDIF}{VAR i}</OPTION>
				{SET iPrev = i}
				
				{IF i >= 100}
					{SET i = i + 25}
				{ELSEIF i >= 30}
					{SET i = i + 10}
				{ELSE}
					{SET i = i + 5}
				{ENDIF}
			{ENDWHILE}
		</SELECT>
	</FORM>
{ELSE}
	{IF Folder.queryType == "Folder.queryNext" && Find.UpdateList != "1"}
		<FORM Method=Post Action="{VAR noScript(Home.url)}">
			<INPUT type="hidden" name="User.context" value="{VAR noScript(User.context)}">
			<INPUT type="hidden" name="action" value="Folder.List.Open">
			<INPUT type="hidden" name="Folder.queryCount" value={VAR noScript(Folder.queryCount)}>
			<INPUT type="hidden" name="Folder.id" value={VAR noScript(Folder.id)}>
			<INPUT type="hidden" name="merge" value="{VAR merge}">
			<INPUT type="submit" name="Folder.Open" class="button" value="{STRING ItemList.Image.AltText.displayFromStart}">
		</FORM>
	{ENDIF}
{ENDIF}
</div>

<FORM method="POST" action="{VAR noScript(Home.url)}" name="formMove">
	<INPUT type="hidden" name="User.context" value="{VAR noScript(User.context)}">
	<INPUT type="hidden" name="action" value="Item.Action">
	<INPUT type="hidden" name="Folder.List.css" value="">
	<INPUT type="hidden" name="merge" value="{VAR merge}">    
	<INPUT type="hidden" name="Item.Move" value="">    
	<INPUT type="hidden" name="Folder.Move.id" value="">    
	
	{IF Find.UpdateList == "1"}
		<INPUT type="hidden" name="Find.UpdateList" value="1">
	{ELSE}
		<INPUT type="hidden" name="Item.UpdateList" value="1">
	{ENDIF}
</FORM>
